Limits

Retrieve rate limits and usage quotas for an InfluxDB 3 Cloud Serverless organization.
GET /api/v2/orgs/{orgID}/limits

Retrieve limits for an organization

Parameters

Path parameters
orgID required string
The ID of the organization.
Example request Ask AI about this
curl --request GET \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/orgs/{orgID}/limits" \
  --header "Authorization: Bearer INFLUX_TOKEN"

Responses

200 Limits defined for the organization.
limits object
These are org limits similar to those configured in/by quartz.
bucket required object
maxBuckets required integer
maxRetentionDuration required integer
Max bucket retention duration in nanoseconds. 0 is unlimited.
check required object
maxChecks required integer
dashboard required object
maxDashboards required integer
features object
allowDelete boolean
allow delete predicate endpoint
notificationEndpoint required object
blockedNotificationEndpoints string
comma separated list of notification endpoints
Example: "http,pagerduty"
notificationRule required object
blockedNotificationRules string
comma separated list of notification rules
Example: "http,pagerduty"
maxNotifications required integer
orgID string
rate required object
cardinality required integer
Allowed organization total cardinality. 0 is unlimited.
concurrentDeleteRequests integer
Allowed organization concurrent outstanding delete requests.
concurrentReadRequests required integer
Allowed concurrent queries. 0 is unlimited.
concurrentWriteRequests required integer
Allowed concurrent writes. 0 is unlimited.
deleteRequestsPerSecond integer
Allowed organization delete request rate.
queryTime required integer
Query Time in nanoseconds
readKBs required integer
Query limit in kb/sec. 0 is unlimited.
writeKBs required integer
Write limit in kb/sec. 0 is unlimited.
stack object
enabled required boolean
task required object
maxTasks required integer
timeout object
queryUnconditionalTimeoutSeconds required integer
queryidleWriteTimeoutSeconds required integer
links object
URI pointers for additional paged results.
next string <uri>
URI of resource.
prev string <uri>
URI of resource.
self required string <uri>
URI of resource.
default Non 2XX error response from server.
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.

Was this page helpful?

Thank you for your feedback!